Quote Operation Step

The quote operation step resource.

Basehttps://rest.carbon.ms/quoteOperationStep
GET/quoteOperationStep

List quote operation steps

Retrieve a paginated list of quote operation steps. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/quoteOperationStep
curl --request GET \
  --url 'https://rest.carbon.ms/quoteOperationStep?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "name": "Example",
    "sortOrder": 0,
    "type": "string",
    "operationId": "xyz789",
    "companyId": "xyz789",
    "createdAt": "2026-01-01T00:00:00Z",
    "createdBy": "string"
  }
]
GET/quoteOperationStep

Retrieve a quote operation step

Fetch a single quote operation step by filtering on `id`.

Query parameters

idstring

Match on the quote operation step's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/quoteOperationStep
curl --request GET \
  --url 'https://rest.carbon.ms/quoteOperationStep?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "name": "Example",
  "sortOrder": 0,
  "type": "string",
  "operationId": "xyz789",
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string"
}
POST/quoteOperationStep

Create a quote operation step

Create a new quote operation step.

Body parameters

namestringrequired
requiredboolean
sortOrdernumberrequired
typeprocedureStepTyperequired
unitOfMeasureCodestring
minValuenumber
maxValuenumber
listValuesarray
fileTypesarray
operationIdstringrequired

References quoteOperation.id

companyIdstringrequired
descriptionobject
POSThttps://rest.carbon.ms/quoteOperationStep
curl --request POST \
  --url https://rest.carbon.ms/quoteOperationStep \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"name":"Example","sortOrder":0,"type":"string","operationId":"xyz789","companyId":"xyz789","description":"string"}'
Response
{
  "id": "abc123def456",
  "name": "Example",
  "sortOrder": 0,
  "type": "string",
  "operationId": "xyz789",
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string"
}
PATCH/quoteOperationStep

Update a quote operation step

Update an existing quote operation step, matched on `id`.

Body parameters

namestringrequired
requiredboolean
sortOrdernumberrequired
typeprocedureStepTyperequired
unitOfMeasureCodestring
minValuenumber
maxValuenumber
listValuesarray
fileTypesarray
operationIdstringrequired

References quoteOperation.id

companyIdstringrequired
descriptionobject
PATCHhttps://rest.carbon.ms/quoteOperationStep
curl --request PATCH \
  --url 'https://rest.carbon.ms/quoteOperationStep?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"name":"Example"}'
Response
{
  "id": "abc123def456",
  "name": "Example",
  "sortOrder": 0,
  "type": "string",
  "operationId": "xyz789",
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string"
}
DELETE/quoteOperationStep

Delete a quote operation step

Delete a quote operation step, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the quote operation step to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/quoteOperationStep
curl --request DELETE \
  --url 'https://rest.carbon.ms/quoteOperationStep?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content